[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Mock can't build x86_64 packages



Trying to build rpm packages with mock in F11 i386:

I can build i386 packages but not x86_64 as I get this:

$ mock -r fedora-11-x86_64 mod_wsgi-2.6-1.fc11.src.rpm
INFO: mock.py version 0.9.17 starting...
State Changed: init plugins
State Changed: start
INFO: Start(mod_wsgi-2.6-1.fc11.src.rpm)  Config(fedora-11-x86_64)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 0.9.17
INFO: Mock Version: 0.9.17
INFO: enabled root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
ERROR: Exception(mod_wsgi-2.6-1.fc11.src.rpm) Config(fedora-11-x86_64)
0 minutes 6 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-11-x86_64/result
ERROR: Command failed:
 # /usr/bin/yum --installroot /var/lib/mock/fedora-11-x86_64/root/
groupinstall buildsys-build
redhat-rpm-config-9.0.3-11.fc11.noarch from updates-released has
depsolving problems
  --> Missing Dependency: /bin/bash is needed by package
redhat-rpm-config-9.0.3-11.fc11.noarch (updates-released)
redhat-rpm-config-9.0.3-11.fc11.noarch from updates-released has
depsolving problems
  --> Missing Dependency: /bin/sh is needed by package
redhat-rpm-config-9.0.3-11.fc11.noarch (updates-released)
redhat-rpm-config-9.0.3-11.fc11.noarch from updates-released has
depsolving problems
  --> Missing Dependency: /bin/bash is needed by package
redhat-rpm-config-9.0.3-11.fc11.noarch (updates-released)
redhat-rpm-config-9.0.3-11.fc11.noarch from updates-released has
depsolving problems
  --> Missing Dependency: mktemp is needed by package
redhat-rpm-config-9.0.3-11.fc11.noarch (updates-released)
4:perl-5.10.0-73.fc11.i586 from updates-released has depsolving problems
  --> Missing Dependency: perl(Module::Pluggable) is needed by package
4:perl-5.10.0-73.fc11.i586 (updates-released)
setup-2.8.3-1.fc11.noarch from fedora has depsolving problems
  --> Missing Dependency: /bin/sh is needed by package
setup-2.8.3-1.fc11.noarch (fedora)
basesystem-10.0-2.noarch from fedora has depsolving problems
  --> Missing Dependency: filesystem is needed by package
basesystem-10.0-2.noarch (fedora)
redhat-rpm-config-9.0.3-11.fc11.noarch from updates-released has
depsolving problems
  --> Missing Dependency: /bin/sh is needed by package
redhat-rpm-config-9.0.3-11.fc11.noarch (updates-released)
4:perl-5.10.0-73.fc11.i586 from updates-released has depsolving problems
  --> Missing Dependency: perl(Pod::Simple) is needed by package
4:perl-5.10.0-73.fc11.i586 (updates-released)
glibc-2.10.1-5.i686 from updates-released has depsolving problems
  --> Missing Dependency: glibc-common = 2.10.1-5 is needed by package
glibc-2.10.1-5.i686 (updates-released)
4:perl-5.10.0-73.fc11.i586 from updates-released has depsolving problems
  --> Missing Dependency: perl(version) is needed by package
4:perl-5.10.0-73.fc11.i586 (updates-released)
Error: Missing Dependency: perl(Pod::Simple) is needed by package
4:perl-5.10.0-73.fc11.i586 (updates-released)
Error: Missing Dependency: glibc-common = 2.10.1-5 is needed by
package glibc-2.10.1-5.i686 (updates-released)
Error: Missing Dependency: /bin/sh is needed by package
redhat-rpm-config-9.0.3-11.fc11.noarch (updates-released)
Error: Missing Dependency: /bin/sh is needed by package
setup-2.8.3-1.fc11.noarch (fedora)
Error: Missing Dependency: perl(version) is needed by package
4:perl-5.10.0-73.fc11.i586 (updates-released)
Error: Missing Dependency: filesystem is needed by package
basesystem-10.0-2.noarch (fedora)
Error: Missing Dependency: /bin/bash is needed by package
redhat-rpm-config-9.0.3-11.fc11.noarch (updates-released)
Error: Missing Dependency: mktemp is needed by package
redhat-rpm-config-9.0.3-11.fc11.noarch (updates-released)
Error: Missing Dependency: perl(Module::Pluggable) is needed by
package 4:perl-5.10.0-73.fc11.i586 (updates-released)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.

Regards, Clodoaldo


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]